import 'package:flutter/material.dart';
import 'package:hmg_patient_app_new/features/medical_file/models/family_file_response_model.dart';
import '../common_bottom_sheet.dart';
import 'my_Family.dart';
 class MyFamilySheet {
   static void show(BuildContext context, List<FamilyFileResponseModelLists> familyLists, Function(FamilyFileResponseModelLists) onSelect) {
     showCommonBottomSheetWithoutHeight(
       context,
       title: 'Select Profile',
       child: ProfileSelector(profiles: familyLists, onSelect: (profile) {
         Navigator.of(context).pop(); // Close the bottom sheet
         onSelect(profile); // Call the onSelect callback
       }), callBackFunc: () {},
     );
   }
 }